<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
>
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        #map {
            height: 500px;
            width: 75%;
            margin: 0 auto;
        }
    </style>
    <link rel="stylesheet" type="text/css" th:href="@{/style.css}"/>
</head>
<body>
<div id="wrapper">
    <div th:replace="fragments/menu :: menu"></div>
    <p style="text-align: center">Położenie zespołów ratowniczych</p>

    <div id="map"></div>
    <script th:inline="javascript">
        function initMap() {
            /*<![CDATA[*/
            var locations = /*[[${ambulanceLocations}]]*/ 'loc';
            /*]]>*/
            var marker, location;
            var kielce = {lat: 50.898500, lng: 20.65000};
            var map = new google.maps.Map(
                document.getElementById('map'), {zoom: 10, center: kielce});
            var i;
            var infowindow = new google.maps.InfoWindow();
            for (i = 0; i < locations.length; i++) {
                location = {lat: parseFloat(locations[i][1]), lng: parseFloat(locations[i][1])};
                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(locations[i][1], locations[i][2]),
                    map: map
                });

                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        infowindow.setContent(locations[i][0]+" - status:"+locations[i][3]+" - typ:"+locations[i][4]);
                        infowindow.open(map, marker);
                    }
                })(marker, i));
            }
        }
    </script>

    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDPaP4zG0IKpItktSLaWYRSs9oKqTc7O3o&callback=initMap">
    </script>


    <div th:replace="fragments/footer :: footer"></div>
</div>


</body>
</html>